Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sx::Sx::ClientConnectionStatusEvent Struct Reference

Event that is send when a client has connected to the port. More...

Inheritance diagram for sx::Sx::ClientConnectionStatusEvent:

## Public Attributes
ClientInfo | clientInfo
| Client info.
boolean | status
| true: connected; false: disconnected
int | clientCnt
| total client count
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send when a client has connected to the port.

The documentation for this struct was generated from the following file:

- Sx.idl